%define prefix /usr
%define name SiCuSys
%define longname Simple Current Systeminfo
%define version 1.2
%define release %mkrel 1
%define url http://www.pclinuxos.com
%define group Monitoring
%define arch noarch

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		%{group}
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	A simple way to get some info about your system!
Summary(de):	Einfacher Weg um Informationen über ihr System zu erhalten!
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	%{arch}
Requires:	gtkdialog, bash, xterm, cpufrequtils, inxi
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.9.2
Requires:	oxygen-icon-theme	
Obsoletes:	%name < %version

%description
A simple way to get some info about your system!

Displayed:
Running Kernel
Desktop Enviroment
User
Screen Resolution
CPU
Free Disk Space
Memory Usage
File Space Usage

Update: added inxi -FxzMGS by single click!



#german
%description -l de
Ein einfacher Weg, um einige Informationen über Ihr System zu erhalten!

Zeigt an:
Laufenden Kernel
Desktop Umgebung
Benutzer
Bildschirmauflösung
CPU
Freien Speicherplatz

Update: hinzugefügt inxi -FxzMGS durch einfachen Klick!


%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
# simple launcher for %{name}
#
%{_datadir}/%{name}/%{name}
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icon/%{name}.png %buildroot%_datadir/icons/%{name}.png

install -d -m 0755 %buildroot%_datadir/%{name}
cp -a $RPM_BUILD_DIR/%{name}-%{version}/icon %{buildroot}%{_datadir}/%{name}/
install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/%{name} %buildroot%_datadir/%{name}
install -m 0644 HISTORY.txt %buildroot%_datadir/%{name}

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{longname}
Name[de]=%{longname}
Comment=A simple way to get some info about your system!
Comment[de]=Ein einfacher Weg, um einige Informationen über Ihr System zu erhalten!
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Infos;System;Monitor;
Encoding=UTF-8
EOF

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/icons/%{name}.png
%{_datadir}/%{name}
%{_datadir}/%{name}/HISTORY.txt
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
%{_datadir}/applications/%{name}.desktop
%doc COPYING README.txt
%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Aug 12 2016 adrianomorselli <adrianomorselli> 1.2-1uplos2015
- rebuild

* Sat Nov 14 2015 daniel <meisssw01 at gmail.com> 1.2-1pclos2015
- against DE issues

* Fri May 01 2015 daniel <meisssw01 at gmail.com> 1.1-1pclos2015
- remove allow-shrink="true"
- fix DE issues
- add lscpu 

* Fri Mar 13 2015 daniel <meisssw01 at gmail.com> 1.0-1pclos2015
- added some icons, theme are Crystal Clear
  created by Everaldo Coelho
- other icons from oxygen theme
- edit cpu display, and acpi display
- add hdparm
- add fdisk, and fsck
- display mount point
- add dmidecode 
- add lsusb
- add lsmod, and modinfo
- add lspci
- add iwconfig, and ifconfig
- add xdpyinfo
- add glxinfo
- german translation so far ready
- move systeminfo

* Sun Mar 01 2015 daniel <meisssw01 at gmail.com> 0.1.5-1pclos2015
- added inxi -FxzMGS by single click

* Fri Feb 27 2015 daniel <meisssw01 at gmail.com> 0.1.4-1pclos2015
- add Uptime

* Fri Jan 09 2015 daniel <meisssw01 at gmail.com> 0.1.3-1pclos2015
- add inxi for desktop session information

* Sun Jan 12 2014 daniel <meisssw01 at gmail.com> 0.1.2-1free2014
- rewrite gui for latest gtkdialog

* Wed Sep 14 2011 Neal <nealbrks0 at gmail dot com> 0.1.1-2pclos2011
- build for 64bit

* Mon May 10 2011 leiche <meisssw01 at googlemail.com> 0.1.1-2leiche2011
- remove display of video -, and audio card name
  (some machines isn't display)

* Mon Mar 28 2011 leiche <meisssw01 at aol.com> 0.1.1-1leiche2011
- fix some issues, testet by ghostbunny, angel02_de, and Neal
- add buttons for pcc, and systeminfo
- add display name of video, and audio card
- add requires for new glibc

* Sun Mar 27 2011 leiche <meisssw01 at aol.com> 0.1-1leiche2011
- first build for PCLinuxOS
